# SourceFileName

Property in [Declaration](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.declaration)

## Summary

Gets the name of the file in which this Declaration was found.

```csharp
public string SourceFileName { get; internal set; }
```

## Remarks

If this [Declaration](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.declaration) was not found in a Yarn source file, this will be [ExternalDeclaration](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.declaration/yarn.compiler.declaration.externaldeclaration) .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.declaration/yarn.compiler.declaration.sourcefilename.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
